[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| Utilities to manage pixel neighborhoods |
--- | --- | ---

## Namespaces

namespace | vigra::EightNeighborhood
namespace | vigra::FourNeighborhood

## Classes

class | NeighborOffsetCirculator
| Circulator that walks around a given location. More...

## Typedefs

typedef FourNeighborhood::NeighborCode | FourNeighborCode
typedef EightNeighborhood::NeighborCode | EightNeighborCode
typedef NeighborOffsetCirculator< EightNeighborCode > | EightNeighborOffsetCirculator
typedef NeighborOffsetCirculator< FourNeighborCode > | FourNeighborOffsetCirculator

## Detailed Description

4- and 8-neighborhood definitions and circulators.

#include "vigra/pixelneighborhood.hxx"

See also: vigra::NeighborhoodCirculator

## Typedef Documentation

typedef EightNeighborhood::NeighborCode EightNeighborCode

| Export vigra::EightNeighborhood::NeighborCode into the scope of namespace vigra.

typedef NeighborOffsetCirculator<EightNeighborCode> EightNeighborOffsetCirculator

| Specialization of NeighborOffsetCirculator for 8-neighborhood.

typedef FourNeighborhood::NeighborCode FourNeighborCode

| Export vigra::FourNeighborhood::NeighborCode into the scope of namespace vigra.

typedef NeighborOffsetCirculator<FourNeighborCode> FourNeighborOffsetCirculator

| Specialization of NeighborOffsetCirculator for 4-neighborhood.

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.3.2 (27 Jan 2005)